Bug 52649 - h2ph is not part of the standard perl installation
h2ph is not part of the standard perl installation
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-27 13:49 EDT by Nick Simicich
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-11 17:15:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Simicich 2001-08-27 13:49:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Lots of scripts want to look at .ph files. A specific reason for this 
would be to get exit codes for mail processor exits out of sysexits.ph.  
Redhat's default perl installation foes not run h2ph and it should.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install a system.
2. Note that the .ph files are missing
3.
	

Actual Results:  File not found.

Expected Results:  The perl include should have worked.

Additional info:

See the h2ph man page for instructions on running h2ph.  This is something 
that any administrator *can* do, but it is really part of installing 
perl.  If the perl RPM does not do this, it is only doing a partial 
install.
Comment 1 Chip Turner 2003-04-11 17:15:59 EDT
.ph files are generated for some headers at build time but not runtime.  .ph
files are included as a convenience for compatibility but are largely depracated
for regular usage.

Note You need to log in before you can comment on or make changes to this bug.